{-# LANGUAGE CPP #-}
{- |
   Module      :  System.Win32.Process.Current
   Copyright   :  2013 shelarcy
   License     :  BSD-style

   Maintainer  :  shelarcy@gmail.com
   Stability   :  Provisional
   Portability :  Non-portable (Win32 API)

   Get current process handle or id.
-}
module System.Win32.Process.Current where
import System.Win32.Process ( ProcessHandle, ProcessId )

foreign import WINDOWS_CCONV unsafe "windows.h GetCurrentProcess"
    getCurrentProcess :: IO ProcessHandle 

foreign import WINDOWS_CCONV unsafe "windows.h GetCurrentProcessId"
    getCurrentProcessId :: IO ProcessId
